> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Update a quote version

PATCH https://test.api.solvimon.com/v{version}/quote-versions/{resourceId}
Content-Type: application/json

Requires the QUOTE.UPDATE permission.

Reference: https://docs.solvimon.com/api-docs/configuration-api/quote-versions/patch-quote-versions-by-resource-id

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version
- `resourceId` (string, required, default: ) — The ID of the resource to be requested.

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a QuoteVersionUpdateRequest.

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `expires_at` (datetime, optional, nullable) — The expiration date of the quote version.
- `quote_id` (string, optional) — The ID of the quote.
- `version` (integer, optional) — The value describing the version of the quote.
- `pricing_plan_subscription_info` (PricingPlanSubscriptionInfoUpdateRequest, optional, nullable) — The info of the linked pricing plan subscription.
- `content` (QuoteVersionContentUpdateRequest, optional) — Content of the body of the quote.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `FINAL`, `WAITING_APPROVAL`, `APPROVED`, `DECLINED`, `SEND`, `SIGNATURE_REQUESTED`, `SIGNED`, `ACCEPTED`, `REJECTED`, `CLOSED`
- `actions` (list of QuoteVersionActionUpdateRequest, optional, nullable) — The history of all actions done.
- `link` (PortalUrlLinkUpdateRequest, optional, nullable) — The public portal link of the quote.
- `internal_notes` (list of string, optional, nullable) — Internal notes on this quote versions.
- `notes` (list of string, optional, nullable) — Notes on this quote versions.
- `approval_request_id` (string, optional, nullable) — The ID of the Approval Request that was created for this Quote Version.
- `recipients` (list of QuoteVersionRecipientDataUpdateRequest, optional, nullable) — The recipients for signature on this quote version.
- `invoices_info` (QuoteVersionInvoicesInfoUpdateRequest, optional, nullable) — Information pertaining to the invoices generated by this quote version.

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `expires_at` (datetime, optional, nullable) — The expiration date of the quote version.
- `quote_id` (string, optional) — The ID of the quote.
- `version` (integer, optional) — The value describing the version of the quote.
- `pricing_plan_subscription_info` (PricingPlanSubscriptionInfo, optional, nullable) — The info of the linked pricing plan subscription.
- `content` (QuoteVersionContent, optional) — Content of the body of the quote.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `FINAL`, `WAITING_APPROVAL`, `APPROVED`, `DECLINED`, `SEND`, `SIGNATURE_REQUESTED`, `SIGNED`, `ACCEPTED`, `REJECTED`, `CLOSED`
- `actions` (list of QuoteVersionAction, optional, nullable) — The history of all actions done.
- `link` (PortalUrlLink, optional, nullable) — The public portal link of the quote.
- `internal_notes` (list of string, optional, nullable) — Internal notes on this quote versions.
- `notes` (list of string, optional, nullable) — Notes on this quote versions.
- `approval_request_id` (string, optional, nullable) — The ID of the Approval Request that was created for this Quote Version.
- `recipients` (list of QuoteVersionRecipientData, optional, nullable) — The recipients for signature on this quote version.
- `invoices_info` (QuoteVersionInvoicesInfo, optional, nullable) — Information pertaining to the invoices generated by this quote version.

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### PricingPlanSubscriptionInfoUpdateRequest

- `id` (string, optional, nullable)
- `upgraded_from_pricing_plan_subscription_id` (string, optional, nullable)

### QuoteVersionContentUpdateRequest

- `type` (enum, optional) — The type of content used by the quote version.
  - Allowed values: `DEFAULT`, `TIPTAP`
- `default` (QuoteVersionDefaultContent, optional) — If type is DEFAULT, the content of the quote version.
- `tiptap` (string, optional, nullable) — If type is TIPTAP, the content of the quote version, stringified JSON following the ProseMirror schema.

### QuoteVersionActionUpdateRequest

- `created_at` (string, optional, nullable)
- `type` (string, optional, nullable)
- `status` (string, optional, nullable)
- `send` (QuoteVersionActionSend, optional, nullable)
- `accept` (QuoteVersionActionAccept, optional, nullable)
- `reject` (QuoteVersionActionReject, optional, nullable)
- `create_subscription` (QuoteVersionActionCreateSubscription, optional, nullable)
- `request_signature` (QuoteVersionActionRequestSignature, optional, nullable)
- `sign` (QuoteVersionActionSign, optional, nullable)

### PortalUrlLinkUpdateRequest

- `expiry_period` (PortalUrlPeriod, optional, nullable)
- `portal_url_id` (string, optional, nullable) — Resource ID of type PORTAL_URL
- `url` (string, optional, nullable)

### QuoteVersionRecipientDataUpdateRequest

- `type` (enum, optional, nullable) — The type of the recipient.
  - Allowed values: `CONTACT`, `DETAILS`
- `contact` (RecipientContactData, optional) — Contact information, when type is CONTACT.
- `details` (RecipientDetailsData, optional) — Recipient details, when type is DETAILS.
- `role` (enum, optional, nullable) — The role of the recipient.
  - Allowed values: `SIGNER`, `VIEWER`

### QuoteVersionInvoicesInfoUpdateRequest

- `first_invoice_summary` (InvoiceTaxTotalSummary, optional, nullable) — Base, tax, and total costs on the first invoice generated by quote version.

### PricingPlanSubscriptionInfo

- `id` (string, optional, nullable)
- `upgraded_from_pricing_plan_subscription_id` (string, optional, nullable)

### QuoteVersionContent

- `type` (enum, optional) — The type of content used by the quote version.
  - Allowed values: `DEFAULT`, `TIPTAP`
- `default` (QuoteVersionDefaultContent, optional) — If type is DEFAULT, the content of the quote version.
- `tiptap` (string, optional, nullable) — If type is TIPTAP, the content of the quote version, stringified JSON following the ProseMirror schema.

### QuoteVersionAction

- `created_at` (string, optional, nullable)
- `type` (string, optional, nullable)
- `status` (string, optional, nullable)
- `send` (QuoteVersionActionSend, optional, nullable)
- `accept` (QuoteVersionActionAccept, optional, nullable)
- `reject` (QuoteVersionActionReject, optional, nullable)
- `create_subscription` (QuoteVersionActionCreateSubscription, optional, nullable)
- `request_signature` (QuoteVersionActionRequestSignature, optional, nullable)
- `sign` (QuoteVersionActionSign, optional, nullable)

### PortalUrlLink

- `expiry_period` (PortalUrlPeriod, optional, nullable)
- `portal_url_id` (string, optional, nullable) — Resource ID of type PORTAL_URL
- `url` (string, optional, nullable)

### QuoteVersionRecipientData

- `type` (enum, optional, nullable) — The type of the recipient.
  - Allowed values: `CONTACT`, `DETAILS`
- `contact` (RecipientContactData, optional) — Contact information, when type is CONTACT.
- `details` (RecipientDetailsData, optional) — Recipient details, when type is DETAILS.
- `role` (enum, optional, nullable) — The role of the recipient.
  - Allowed values: `SIGNER`, `VIEWER`

### QuoteVersionInvoicesInfo

- `first_invoice_summary` (InvoiceTaxTotalSummary, optional, nullable) — Base, tax, and total costs on the first invoice generated by quote version.

### QuoteVersionDefaultContent

- `header` (string, optional, nullable) — Text shown above the pricing plan.
- `footer` (string, optional, nullable) — Text shown below the pricing plan.

### QuoteVersionActionSend

- `to_email_addresses` (list of string, optional, nullable) — Extra email addresses for the TO
- `overwrite_to` (boolean, optional, nullable) — Overwrite the TO with the email addresses in the to_email_addresses
- `cc_email_addresses` (list of string, optional, nullable) — Extra email addresses for the CC
- `bcc_email_addresses` (list of string, optional, nullable) — Extra email addresses for the BCC

### QuoteVersionActionAccept

- `name` (Name, optional) — The name of the accepter
- `role` (string, optional, nullable) — The role of the accepter

### QuoteVersionActionReject

- `name` (Name, optional) — The name of the rejecter
- `role` (string, optional, nullable) — The role of the rejecter
- `reason` (string, optional, nullable) — The reason of the rejection

### QuoteVersionActionCreateSubscription

- `pricing_plan_subscription_id` (string, optional, nullable) — The create pricing plan subscription based on the quote version

### QuoteVersionActionRequestSignature

- `signature_request_id` (string, optional, nullable)
- `signature_request` (SignatureRequest, optional, nullable)

### QuoteVersionActionSign

- `signature_request_id` (string, optional, nullable)

### PortalUrlPeriod

- `type` (enum, optional) — The unit of the period. MONTH and YEAR count in the timezone of the customer, or else of the platform.
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable) — The number of units after which the link expires.

### RecipientContactData

- `contact_id` (string, optional) — Resource ID of type CONTACT
- `contact` (Contact, optional, nullable)

### RecipientDetailsData

- `name` (Name, optional)
- `email` (string, optional, nullable)

### InvoiceTaxTotalSummary

- `base_amount` (Amount, optional)
- `tax_amount` (Amount, optional)
- `total_amount` (Amount, optional)
- `local_amounts` (InvoiceTaxAmounts, optional)
- `notes` (list of string, optional, nullable)
- `country_code` (string, optional)

### Name

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `infix` (string, optional, nullable)

### SignatureRequest

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the signature request.
  - Allowed values: `IN_PROGRESS`, `COMPLETED`, `VOID`
- `type` (enum, optional, nullable) — The type of the signature request.
  - Allowed values: `QUOTE_VERSION`
- `quote_version` (SignatureRequestQuoteVersion, optional)
- `recipients` (list of SignatureRequestRecipientData, optional, nullable) — The recipients of the signature request.

### Contact

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional) — A custom reference assigned to the contact.
- `customer_id` (string, optional) — The ID of the customer.
- `name` (Name, optional) — A custom name assigned to the contact.
- `email` (string, optional, nullable) — The email of the contact.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for contact-related communications.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `linked_integrations` (list of LinkedIntegration, optional, nullable)

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### InvoiceTaxAmounts

- `base_amount` (Amount, optional)
- `tax_amount` (Amount, optional)
- `total_amount` (Amount, optional)
- `used_exchange_rate` (UsedExchangeRate, optional)
- `display` (boolean, optional)

### SignatureRequestQuoteVersion

- `quote_version_id` (string, optional, nullable) — The ID of the quote version this signature request belongs to.

### SignatureRequestRecipientData

- `id` (string, optional, nullable) — The unique identifier of this recipient.
- `contact_id` (string, optional, nullable) — The contact ID, present when the recipient originates from a contact.
- `name` (Name, optional, nullable) — The name of the recipient.
- `email` (string, optional, nullable) — The email of the recipient.
- `role` (enum, optional, nullable) — The role of the recipient.
  - Allowed values: `SIGNER`, `VIEWER`
- `status` (enum, optional, nullable) — The status of the recipient.
  - Allowed values: `PENDING`, `COMPLETED`

### NotificationPreference

- `type` (enum, optional) — The notification type to configure.
  - Allowed values: `INVOICE`
- `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type.

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### UsedExchangeRate

- `currency` (string, optional)
- `base_currency` (string, optional)
- `rate_timestamp` (string, optional)
- `rate` (string, optional)
- `source` (string, optional, nullable)

### NotificationChannel

- `type` (enum, optional) — The channel type to use.
  - Allowed values: `EMAIL`
- `enabled` (boolean, optional, nullable) — Whether the channel is enabled for the notification type.

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

## Examples

**Request**

```json
{
  "expires_at": "2026-11-30T23:59:59-06:00",
  "content": {
    "type": "DEFAULT",
    "default": {
      "header": "Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.",
      "footer": "Prices exclude sales tax. Invoices are due within 30 days of the invoice date."
    }
  },
  "recipients": [
    {
      "contact": {
        "contact_id": "cont_SwDeeN0vxxHycQCdSF1v"
      },
      "role": "SIGNER"
    }
  ]
}
```

**Response**

```json
{
  "object_type": "string",
  "id": "string",
  "created_at": "string",
  "updated_at": "string",
  "expires_at": "2024-01-15T09:30:00Z",
  "quote_id": "string",
  "version": 1,
  "pricing_plan_subscription_info": {
    "id": "string",
    "upgraded_from_pricing_plan_subscription_id": "string"
  },
  "content": {
    "type": "DEFAULT",
    "default": {
      "header": "string",
      "footer": "string"
    },
    "tiptap": "string"
  },
  "status": "DRAFT",
  "actions": [
    {
      "created_at": "string",
      "type": "string",
      "status": "string",
      "send": {
        "to_email_addresses": [
          "string"
        ],
        "overwrite_to": true,
        "cc_email_addresses": [
          "string"
        ],
        "bcc_email_addresses": [
          "string"
        ]
      },
      "accept": {
        "name": {
          "first_name": "string",
          "last_name": "string",
          "infix": "string"
        },
        "role": "string"
      },
      "reject": {
        "name": {
          "first_name": "string",
          "last_name": "string",
          "infix": "string"
        },
        "role": "string",
        "reason": "string"
      },
      "create_subscription": {
        "pricing_plan_subscription_id": "string"
      },
      "request_signature": {
        "signature_request_id": "string",
        "signature_request": {
          "object_type": "string",
          "id": "string",
          "created_at": "string",
          "updated_at": "string",
          "status": "IN_PROGRESS",
          "type": "QUOTE_VERSION",
          "quote_version": {
            "quote_version_id": "string"
          },
          "recipients": [
            {
              "id": "string",
              "contact_id": "string",
              "name": {
                "first_name": "string",
                "last_name": "string",
                "infix": "string"
              },
              "email": "string",
              "role": "SIGNER",
              "status": "PENDING"
            }
          ]
        }
      },
      "sign": {
        "signature_request_id": "string"
      }
    }
  ],
  "link": {
    "expiry_period": {
      "type": "MINUTE",
      "value": 1
    },
    "portal_url_id": "string",
    "url": "string"
  },
  "internal_notes": [
    "string"
  ],
  "notes": [
    "string"
  ],
  "approval_request_id": "string",
  "recipients": [
    {
      "type": "CONTACT",
      "contact": {
        "contact_id": "string",
        "contact": {
          "object_type": "string",
          "id": "string",
          "reference": "string",
          "customer_id": "string",
          "name": {
            "first_name": "string",
            "last_name": "string",
            "infix": "string"
          },
          "email": "string",
          "notification_preferences": [
            {
              "type": "INVOICE",
              "channels": [
                {
                  "type": "EMAIL",
                  "enabled": true
                }
              ]
            }
          ],
          "custom_fields": [
            {
              "id": "string",
              "reference": "string",
              "value": "string",
              "values": [
                "string"
              ],
              "integration_details": {
                "id": "string",
                "reference": "string",
                "payment_gateway_variant": "ADYEN",
                "adyen": {
                  "recurring_detail_reference": "string"
                },
                "stripe": {
                  "payment_method_id": "string"
                }
              },
              "integration_id": "string"
            }
          ],
          "linked_integrations": [
            {
              "id": "string",
              "link_details": [
                {
                  "url": "string",
                  "custom_field_name": "string"
                }
              ]
            }
          ]
        }
      },
      "details": {
        "name": {
          "first_name": "string",
          "last_name": "string",
          "infix": "string"
        },
        "email": "string"
      },
      "role": "SIGNER"
    }
  ],
  "invoices_info": {
    "first_invoice_summary": {
      "base_amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "tax_amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "total_amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "local_amounts": {
        "base_amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "tax_amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "total_amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "used_exchange_rate": {
          "currency": "string",
          "base_currency": "string",
          "rate_timestamp": "string",
          "rate": "string",
          "source": "string"
        },
        "display": true
      },
      "notes": [
        "string"
      ],
      "country_code": "string"
    }
  }
}
```

**SDK Code**

```python QuoteVersions_patchQuoteVersionsByResourceId_example
import requests

url = "https://test.api.solvimon.com/v1/quote-versions/:resourceId"

payload = {
    "expires_at": "2026-11-30T23:59:59-06:00",
    "content": {
        "type": "DEFAULT",
        "default": {
            "header": "Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.",
            "footer": "Prices exclude sales tax. Invoices are due within 30 days of the invoice date."
        }
    },
    "recipients": [
        {
            "contact": { "contact_id": "cont_SwDeeN0vxxHycQCdSF1v" },
            "role": "SIGNER"
        }
    ]
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript QuoteVersions_patchQuoteVersionsByResourceId_example
const url = 'https://test.api.solvimon.com/v1/quote-versions/:resourceId';
const options = {
  method: 'PATCH',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"expires_at":"2026-11-30T23:59:59-06:00","content":{"type":"DEFAULT","default":{"header":"Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.","footer":"Prices exclude sales tax. Invoices are due within 30 days of the invoice date."}},"recipients":[{"contact":{"contact_id":"cont_SwDeeN0vxxHycQCdSF1v"},"role":"SIGNER"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go QuoteVersions_patchQuoteVersionsByResourceId_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/quote-versions/:resourceId"

	payload := strings.NewReader("{\n  \"expires_at\": \"2026-11-30T23:59:59-06:00\",\n  \"content\": {\n    \"type\": \"DEFAULT\",\n    \"default\": {\n      \"header\": \"Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.\",\n      \"footer\": \"Prices exclude sales tax. Invoices are due within 30 days of the invoice date.\"\n    }\n  },\n  \"recipients\": [\n    {\n      \"contact\": {\n        \"contact_id\": \"cont_SwDeeN0vxxHycQCdSF1v\"\n      },\n      \"role\": \"SIGNER\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby QuoteVersions_patchQuoteVersionsByResourceId_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/quote-versions/:resourceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"expires_at\": \"2026-11-30T23:59:59-06:00\",\n  \"content\": {\n    \"type\": \"DEFAULT\",\n    \"default\": {\n      \"header\": \"Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.\",\n      \"footer\": \"Prices exclude sales tax. Invoices are due within 30 days of the invoice date.\"\n    }\n  },\n  \"recipients\": [\n    {\n      \"contact\": {\n        \"contact_id\": \"cont_SwDeeN0vxxHycQCdSF1v\"\n      },\n      \"role\": \"SIGNER\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java QuoteVersions_patchQuoteVersionsByResourceId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://test.api.solvimon.com/v1/quote-versions/:resourceId")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"expires_at\": \"2026-11-30T23:59:59-06:00\",\n  \"content\": {\n    \"type\": \"DEFAULT\",\n    \"default\": {\n      \"header\": \"Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.\",\n      \"footer\": \"Prices exclude sales tax. Invoices are due within 30 days of the invoice date.\"\n    }\n  },\n  \"recipients\": [\n    {\n      \"contact\": {\n        \"contact_id\": \"cont_SwDeeN0vxxHycQCdSF1v\"\n      },\n      \"role\": \"SIGNER\"\n    }\n  ]\n}")
  .asString();
```

```php QuoteVersions_patchQuoteVersionsByResourceId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://test.api.solvimon.com/v1/quote-versions/:resourceId', [
  'body' => '{
  "expires_at": "2026-11-30T23:59:59-06:00",
  "content": {
    "type": "DEFAULT",
    "default": {
      "header": "Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.",
      "footer": "Prices exclude sales tax. Invoices are due within 30 days of the invoice date."
    }
  },
  "recipients": [
    {
      "contact": {
        "contact_id": "cont_SwDeeN0vxxHycQCdSF1v"
      },
      "role": "SIGNER"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp QuoteVersions_patchQuoteVersionsByResourceId_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/quote-versions/:resourceId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"expires_at\": \"2026-11-30T23:59:59-06:00\",\n  \"content\": {\n    \"type\": \"DEFAULT\",\n    \"default\": {\n      \"header\": \"Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.\",\n      \"footer\": \"Prices exclude sales tax. Invoices are due within 30 days of the invoice date.\"\n    }\n  },\n  \"recipients\": [\n    {\n      \"contact\": {\n        \"contact_id\": \"cont_SwDeeN0vxxHycQCdSF1v\"\n      },\n      \"role\": \"SIGNER\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift QuoteVersions_patchQuoteVersionsByResourceId_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "expires_at": "2026-11-30T23:59:59-06:00",
  "content": [
    "type": "DEFAULT",
    "default": [
      "header": "Thank you for building with Lumen AI. This proposal renews your Enterprise agreement for 2027 at the new lumen-4 rates.",
      "footer": "Prices exclude sales tax. Invoices are due within 30 days of the invoice date."
    ]
  ],
  "recipients": [
    [
      "contact": ["contact_id": "cont_SwDeeN0vxxHycQCdSF1v"],
      "role": "SIGNER"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/quote-versions/:resourceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```